Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 199)
@@ -512,12 +571,32 @@
             this.label4.Text = "請求月";
             this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
+            // pnlNormal
+            // 
+            this.pnlNormal.Controls.Add(this.btnApproval);
+            this.pnlNormal.Location = new System.Drawing.Point(1054, 1);
+            this.pnlNormal.Name = "pnlNormal";
+            this.pnlNormal.Size = new System.Drawing.Size(136, 36);
+            this.pnlNormal.TabIndex = 8;
+            // 
+            // btnApproval
+            // 
+            this.btnApproval.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
+            this.btnApproval.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnApproval.Location = new System.Drawing.Point(2, 5);
+            this.btnApproval.Name = "btnApproval";
+            this.btnApproval.Size = new System.Drawing.Size(130, 27);
+            this.btnApproval.TabIndex = 0;
+            this.btnApproval.Text = "請求書申請";
+            this.btnApproval.UseVisualStyleBackColor = false;
+            this.btnApproval.Click += new System.EventHandler(this.btnApproval_Click);
+            // 
             // cbReqMonth
             // 
             this.cbReqMonth.BackColor = System.Drawing.Color.White;
             this.cbReqMonth.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cbReqMonth.FormattingEnabled = true;
-            this.cbReqMonth.Location = new System.Drawing.Point(699, 64);
+            this.cbReqMonth.Location = new System.Drawing.Point(704, 7);
             this.cbReqMonth.Name = "cbReqMonth";
             this.cbReqMonth.Size = new System.Drawing.Size(109, 24);
             this.cbReqMonth.TabIndex = 5;
@@ -528,7 +607,7 @@
             this.label5.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.label5.CausesValidation = false;
             this.label5.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.label5.Location = new System.Drawing.Point(819, 64);
+            this.label5.Location = new System.Drawing.Point(824, 7);
             this.label5.Name = "label5";
             this.label5.Size = new System.Drawing.Size(100, 25);
             this.label5.TabIndex = 6;
@@ -535,32 +614,11 @@
             this.label5.Text = "請求回数";
             this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // lblReqOrder
-            // 
-            this.lblReqOrder.BackColor = System.Drawing.Color.White;
-            this.lblReqOrder.Location = new System.Drawing.Point(924, 64);
-            this.lblReqOrder.Name = "lblReqOrder";
-            this.lblReqOrder.Size = new System.Drawing.Size(85, 24);
-            this.lblReqOrder.TabIndex = 7;
-            this.lblReqOrder.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // btnApproval
-            // 
-            this.btnApproval.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
-            this.btnApproval.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnApproval.Location = new System.Drawing.Point(2, 6);
-            this.btnApproval.Name = "btnApproval";
-            this.btnApproval.Size = new System.Drawing.Size(130, 27);
-            this.btnApproval.TabIndex = 0;
-            this.btnApproval.Text = "請求書申請";
-            this.btnApproval.UseVisualStyleBackColor = false;
-            this.btnApproval.Click += new System.EventHandler(this.btnApproval_Click);
-            // 
             // txtOrderer
             // 
             this.txtOrderer.BackColor = System.Drawing.Color.White;
             this.txtOrderer.ImeMode = System.Windows.Forms.ImeMode.On;
-            this.txtOrderer.Location = new System.Drawing.Point(117, 65);
+            this.txtOrderer.Location = new System.Drawing.Point(122, 8);
             this.txtOrderer.Name = "txtOrderer";
             this.txtOrderer.ReadOnly = true;
             this.txtOrderer.Size = new System.Drawing.Size(470, 23);
@@ -568,32 +626,21 @@
             this.txtOrderer.TextChanged += new System.EventHandler(this.txtOrderer_TextChanged);
             this.txtOrderer.Validating += new System.ComponentModel.CancelEventHandler(this.txtOrderer_Validating);
             // 
-            // button1
+            // lblReqOrder
             // 
-            this.button1.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.button1.Location = new System.Drawing.Point(1271, 25);
-            this.button1.Name = "button1";
-            this.button1.Size = new System.Drawing.Size(45, 23);
-            this.button1.TabIndex = 15;
-            this.button1.Text = "･･･";
-            this.button1.UseVisualStyleBackColor = true;
-            this.button1.Visible = false;
-            this.button1.Click += new System.EventHandler(this.button1_Click_1);
+            this.lblReqOrder.BackColor = System.Drawing.Color.White;
+            this.lblReqOrder.Location = new System.Drawing.Point(929, 7);
+            this.lblReqOrder.Name = "lblReqOrder";
+            this.lblReqOrder.Size = new System.Drawing.Size(85, 24);
+            this.lblReqOrder.TabIndex = 7;
+            this.lblReqOrder.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // pnlNormal
-            // 
-            this.pnlNormal.Controls.Add(this.btnApproval);
-            this.pnlNormal.Location = new System.Drawing.Point(1014, 56);
-            this.pnlNormal.Name = "pnlNormal";
-            this.pnlNormal.Size = new System.Drawing.Size(136, 36);
-            this.pnlNormal.TabIndex = 8;
-            // 
             // pnlApproval
             // 
             this.pnlApproval.Controls.Add(this.btnDeny);
             this.pnlApproval.Controls.Add(this.btnPend);
             this.pnlApproval.Controls.Add(this.btnAgree);
-            this.pnlApproval.Location = new System.Drawing.Point(1014, 56);
+            this.pnlApproval.Location = new System.Drawing.Point(1054, 1);
             this.pnlApproval.Name = "pnlApproval";
             this.pnlApproval.Size = new System.Drawing.Size(254, 36);
             this.pnlApproval.TabIndex = 9;
@@ -635,30 +682,6 @@
             this.btnAgree.UseVisualStyleBackColor = false;
             this.btnAgree.Click += new System.EventHandler(this.btnAgree_Click);
             // 
-            // SeparateBillingLabel
-            // 
-            this.SeparateBillingLabel.BackColor = System.Drawing.Color.White;
-            this.SeparateBillingLabel.Font = new System.Drawing.Font("ＭＳ Ｐゴシック", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.SeparateBillingLabel.Location = new System.Drawing.Point(13, 32);
-            this.SeparateBillingLabel.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
-            this.SeparateBillingLabel.Name = "SeparateBillingLabel";
-            this.SeparateBillingLabel.Size = new System.Drawing.Size(180, 20);
-            this.SeparateBillingLabel.TabIndex = 16;
-            this.SeparateBillingLabel.Text = "出来高　分割";
-            this.SeparateBillingLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // CombinedOrderLabel
-            // 
-            this.CombinedOrderLabel.BackColor = System.Drawing.Color.White;
-            this.CombinedOrderLabel.Font = new System.Drawing.Font("ＭＳ Ｐゴシック", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.CombinedOrderLabel.Location = new System.Drawing.Point(13, 32);
-            this.CombinedOrderLabel.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
-            this.CombinedOrderLabel.Name = "CombinedOrderLabel";
-            this.CombinedOrderLabel.Size = new System.Drawing.Size(180, 20);
-            this.CombinedOrderLabel.TabIndex = 17;
-            this.CombinedOrderLabel.Text = "完了後　一括";
-            this.CombinedOrderLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
             // FrmRequestInput
             // 
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.None;
@@ -666,13 +689,8 @@
             this.ClientSize = new System.Drawing.Size(1328, 625);
             this.Controls.Add(this.CombinedOrderLabel);
             this.Controls.Add(this.SeparateBillingLabel);
-            this.Controls.Add(this.pnlNormal);
+            this.Controls.Add(this.groupBoxEx1);
             this.Controls.Add(this.button1);
-            this.Controls.Add(this.txtOrderer);
-            this.Controls.Add(this.lblReqOrder);
-            this.Controls.Add(this.label5);
-            this.Controls.Add(this.cbReqMonth);
-            this.Controls.Add(this.label4);
             this.Controls.Add(this.lblStatus);
             this.Controls.Add(this.dgv1);
             this.Controls.Add(this.btnOtherProc);
@@ -679,9 +697,7 @@
             this.Controls.Add(this.btnAdd);
             this.Controls.Add(this.btnEntry);
             this.Controls.Add(this.btnEnd);
-            this.Controls.Add(this.label2);
             this.Controls.Add(this.label3);
-            this.Controls.Add(this.pnlApproval);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
             this.Margin = new System.Windows.Forms.Padding(4);
@@ -688,14 +704,17 @@
             this.MaximizeBox = false;
             this.MinimizeBox = false;
             this.Name = "FrmRequestInput";
+            this.ShowIcon = false;
             this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
             this.Activated += new System.EventHandler(this.FrmRequestInput_Activated);
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmRequestInput_FormClosing);
             this.Load += new System.EventHandler(this.FrmRequestInput_Load);
             ((System.ComponentModel.ISupportInitialize)(this.dgv1)).EndInit();
+            this.groupBoxEx1.ResumeLayout(false);
+            this.groupBoxEx1.PerformLayout();
             this.pnlNormal.ResumeLayout(false);
             this.pnlApproval.ResumeLayout(false);
             this.ResumeLayout(false);
-            this.PerformLayout();
 
         }
 
@@ -748,6 +767,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn col99;
         private System.Windows.Forms.Label SeparateBillingLabel;
         private System.Windows.Forms.Label CombinedOrderLabel;
+        private CustomControls.GroupBoxEx groupBoxEx1;
     }
 }
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 199)
@@ -127,8 +127,27 @@
             set { m_OrderNo = value; }
         }
 
+        // *-----* 共通処理設定 *-----*
+        /// <summary>
+        /// サブフォームフラグ
+        /// </summary>
+        public bool SubForm
+        {
+            get { return m_SubForm; }
+            set { m_SubForm = value; }
+        }
+        /// <summary>
+        /// 呼出元終了フラグ
+        /// </summary>
+        public bool ParentEnd
+        {
+            get { return m_ParentEnd; }
+            set { m_ParentEnd = value; }
+        }
+        // *-----* 共通処理設定 *-----*
         #endregion
 
+        #region コンストラクタ
         /// <summary>
         /// コンストラクタ
         /// </summary>
@@ -136,7 +155,9 @@
         {
             InitializeComponent();
         }
+        #endregion
 
+        #region フォームのロード
         /// <summary>
         /// フォームのロード
         /// </summary>
@@ -228,8 +249,22 @@
             m_bDirty = false;
 
         }
+        #endregion
 
+        #region フォームクロージング
         /// <summary>
+        /// フォームクロージング
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmRequestInput_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            if (m_CloseingProcessOn) ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region 請求入力がアクティブになった
+        /// <summary>
         /// 請求入力がアクティブになった
         /// </summary>
         /// <param name="sender"></param>
@@ -239,7 +274,9 @@
             // 再描画
             this.Refresh();
         }
+        #endregion
 
+        #region 「回数追加」ボタン押下
         /// <summary>
         /// 「回数追加」ボタン押下
         /// </summary>
@@ -272,7 +309,9 @@
             }
 
         }
+        #endregion
 
+        #region [請求書申請]ボタン押下
         /// <summary>
         /// [請求書申請]ボタン押下
         /// </summary>
@@ -379,7 +418,9 @@
             }
 
         }
+        #endregion
 
+        #region [登録]ボタン押下
         /// <summary>
         /// [登録]ボタン押下
         /// </summary>
@@ -410,7 +451,9 @@
             // Formを閉じる
             Close();
         }
+        #endregion
 
+        #region [終了]ボタン押下
         /// <summary>
         /// [終了]ボタン押下
         /// </summary>
@@ -436,7 +479,9 @@
             Close();
 
         }
+        #endregion
 
+        #region セル編集開始
         /// <summary>
         /// セル編集開始
         /// </summary>
@@ -483,7 +528,9 @@
 
             this.dgv1.CellBeginEdit += dgv1_CellBeginEdit;
         }
+        #endregion
 
+        #region セルフォーマッティング（セル書式指定）
         /// <summary>
         /// セルフォーマッティング（セル書式指定）
         /// </summary>
@@ -536,7 +583,9 @@
 
             this.dgv1.CellFormatting += dgv1_CellFormatting;
         }
+        #endregion
 
+        #region データグリッドビュのセルが変更された
         /// <summary>
         /// データグリッドビュのセルが変更された
         /// </summary>
@@ -592,7 +641,9 @@
 
 
         }
+        #endregion
 
+        #region セル検証
         /// <summary>
         /// セル検証
         /// </summary>
@@ -690,7 +741,9 @@
                 }
             }
         }
+        #endregion
 
+        #region 請求先の変更
         /// <summary>
         /// 請求先の変更
         /// </summary>
@@ -700,7 +753,9 @@
         {
             m_bDirty = true;
         }
+        #endregion
 
+        #region 請求先の検証
         /// <summary>
         /// 請求先の検証
         /// </summary>
@@ -716,7 +771,9 @@
                 txtOrderer.Select(0, txtOrderer.Text.Length);
             }
         }
+        #endregion
 
+        #region デバッグ用ダミー
         /// <summary>
         /// デバッグ用ダミー
         /// </summary>
@@ -737,7 +794,17 @@
             dgv1.Columns[2].Visible = m_bVisible;
 
         }
+        #endregion
 
+        #region メッセージボックス表示処理
+        /// <summary>
+        /// メッセージボックス表示処理
+        /// </summary>
+        /// <param name="text"></param>
+        /// <param name="caption"></param>
+        /// <param name="buttons"></param>
+        /// <param name="icon"></param>
+        /// <returns></returns>
         private DialogResult ShowMessageBox(string text, string caption, MessageBoxButtons buttons, MessageBoxIcon icon)
         {
             dgv1.CellFormatting -= dgv1_CellFormatting;
@@ -748,7 +815,9 @@
 
             return ret;
         }
+        #endregion
 
+        #region [承認]ボタン押下
         /// <summary>
         /// [承認]ボタン押下
         /// </summary>
@@ -772,7 +841,9 @@
             Close();
 
         }
+        #endregion
 
+        #region [保留]ボタン押下
         /// <summary>
         /// [保留]ボタン押下
         /// </summary>
@@ -795,7 +866,9 @@
 
             Close();
         }
+        #endregion
 
+        #region [不承認]ボタン押下
         /// <summary>
         /// [不承認]ボタン押下
         /// </summary>
@@ -818,6 +891,6 @@
 
             Close();
         }
-
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 199)
@@ -98,6 +98,8 @@
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionList, string.Empty),          //  1:工事情報一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList, string.Empty),      //  7:承認申請一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionCopyList, string.Empty),      //  8:工事案件コピー機能
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.BillingEntrylList, string.Empty),         // 39:請求選択一覧
+
                                                     new KeyValuePair<int, string>(-1, "受　注　管　理"),                                                    // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo, string.Empty),      //  2:工事情報入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimateInput, string.Empty),             //  3:積算見積入力
@@ -105,6 +107,7 @@
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimateBudget, string.Empty),            //  5:積算予算書入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.OrderJoin, string.Empty),                 // 20:工事結合
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionSplit, string.Empty),         // 21:工事分割
+
                                                     new KeyValuePair<int, string>(-1, "日次（施工）管理"),                                                  // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList, string.Empty),     // 11:部署別台帳一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList, string.Empty),    // 12:工事詳細台帳一覧
@@ -121,9 +124,11 @@
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialReserveEntry, string.Empty),      // 26:資材貸出
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialReturnEntry, string.Empty),       // 27:資材返却
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialSelect, string.Empty),            // 28;資材選択
+
                                                     new KeyValuePair<int, string>(-1, "月次（施工）管理"),                                                  // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.RequestSummaryList, string.Empty),        // 29:請求まとめ
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PaymentConfirmation, string.Empty),       // 30:入金確認
+                                                    
                                                     new KeyValuePair<int, string>(-1, "書　類　管　理"),                                                    // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionBudget, string.Empty),        //  6:工事予算書入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry, string.Empty),        //  9:注文書入力
@@ -131,12 +136,15 @@
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderStatus, string.Empty),       // 19:注文書発給一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.RequestInput, string.Empty),              // 31:請求入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.RequestPrint, string.Empty),              // 32:請求書印刷
+                                                    
                                                     new KeyValuePair<int, string>(-1, "総　務　管　理"),                                                    // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseStatusInput, string.Empty),       // 40:注文書状況入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ReqBillingStatus, string.Empty),          // 41:請求書発給一覧
 
                                                     new KeyValuePair<int, string>(-1, "各種提出書類"),                                                      // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.CostomerRegist, string.Empty),            // 34:発注者登録申請
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.SubConstrRegist, string.Empty),           // 36:協力会社登録申請
+                                                    
                                                     new KeyValuePair<int, string>(-1, "マスタメンテナンス"),                                                // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.System, string.Empty),                // システム管理登録
                                                     new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Security, string.Empty),              // セキュリティ区分登録
